/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#include "feedclassifiersreply.h"

namespace NewsBlur
{
/*!
  \class FeedClassifiersReply
  \brief The FeedClassifiersReply class represents the reply
  of the NewsBlur server for a NewsBlurClient::TpFeedClassifiers
  request.
*/

/*!
  Constructs a FeedClassifiersReply object.
*/
FeedClassifiersReply::FeedClassifiersReply() :
    NewsBlurReply(),
    m_feedId(0)
{
}

/*!
  Returns NewsBlurReply::RlUpdated.
*/
WebServiceReply::Role FeedClassifiersReply::role() const
{
    return WebServiceReply::RlUpdate;
}

/*!
  Returns the identifier of the feed, for which the
  classifiers were requested.
*/
int FeedClassifiersReply::feedId() const
{
    return m_feedId;
}

/*!
  Returns the feeds classifiers.
*/
FeedClassifiers FeedClassifiersReply::classifiers() const
{
    return m_feedClassifiers;
}
} // namespace NewsBlur
